Bug 698149 - Remove documentation for "order" keyword in /etc/host.conf manpage
Remove documentation for "order" keyword in /etc/host.conf manpage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
14
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
: ManPageChange
Depends On:
Blocks: 698151 698153 699701 714078
  Show dependency treegraph
 
Reported: 2011-04-20 06:19 EDT by Siddhesh Poyarekar
Modified: 2015-09-13 20:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 698151 (view as bug list)
Environment:
Last Closed: 2011-04-22 10:00:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Siddhesh Poyarekar 2011-04-20 06:19:43 EDT
Description of problem:

glibc has been ignoring the "order" keyword in /etc/host.conf for some years now, but the manpage for host.conf still documents the option without mentioning that it does not do anything any more.

The order keyword support was removed in the following commit upstream:

http://sourceware.org/git/?p=glibc.git;a=commitdiff;h=b9c65d0902e5890c4f025b574725154032f8120a

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. man host.conf
2.
3.
  
Actual results:
man page has information for the "order" keyword

Expected results:
man page should not have information for the "order" keyword or at least mention that the keyword does not do anything and that one needs to use /etc/nsswitch.conf now for this functionality.

Additional info:
Comment 1 Ivana Varekova 2011-04-22 10:00:12 EDT
Thanks fixed in man-pages-3.32-13.fc16

Note You need to log in before you can comment on or make changes to this bug.